HP Drivers for Catalina

lehmanp00
Contributor III

We have a few users who are testing Catalina and some HP printers that they can no longer print too. From what I can see, the drivers are no longer supported. Are we stuck waiting for HP to release new drivers? Will Apple release a new HP driver pack?

14 REPLIES 14

mschroder
Valued Contributor

On some of my Macs I just installed 'HP Printer Software Update' version 5.1. Not sure whether this is what you need...

dstranathan
Valued Contributor II

Isnt HP Printer Software Update 5.1 one of the last HP updates provided by Apple back in 2017?

seabash
New Contributor III

We have hundreds of printers across multiple bldgs at my company, but very few are HP. Sounds like you're already found this Apple KB, which is no longer maintained, but last updated on 09/24/2018?
https://support.apple.com/en-us/HT201465

Each vendor will likely have a corresponding JKB re: macOS Catalina-compatibility and/or driver?
Here's HPs KP... https://support.hp.com/us-en/document/c06141321

Best wishes

lehmanp00
Contributor III

Thank you for the replies.

We have found compatibility to be all over the place with HP printers right now. I was looking for an updated HP Driver package but it doesn't seem Apple does that anymore. Some HP printers were straight up uninstalled after a Catalina update! We were able to get them back but using the Generic Driver.

noahdowd
Contributor

If these are network printers it's probably best to switch them to IPP Everywhere and forgetting about drivers in light of this inevitability: https://www.cups.org/blog/2018-06-06-demystifying-cups-development.html

stevewood
Honored Contributor II

@lehmanp00

HP has a utility called Easy Admin that you can use to download driver packages for most printers I believe. At least I know the newer printers are in there. This was discussed in this Jamf Nation post:

Newest HP Printers

@noahdowd

We have tried switching to IPP Printing, but we've found that not all printers support this, yet. For example, some EFI Fiery controllers do not present all printer options (paper decks/trays, finishers, etc) when connecting via IPP. So while Apple is deprecating drivers in a future release, until the printer vendors fully support IPP over LPD we have to stick with LPD.

daniel_jones
New Contributor

Hi All

I have ran the HP print driver from the JAMF Share on the local mac and this has installed and is working for the print drivers. From what I can see it looks like an issue with the distribution. Has anyone else had any luck?

Quagmire
New Contributor II

Looks like it could be the package itself. I was using the HP Printer Drivers v5.1 for OS X found here: https://support.apple.com/kb/DL1888?locale=en_US

The jamf installer log shows:
Installation failed. The installer reported: installer: Package name is Hewlett-Packard Printer Software
installer: Certificate used to sign package is not trusted. Use -allowUntrusted to override.

John_Wetter
Contributor II

@Quagmire - You might just need to re-download if it was in your catalog from back in November or whenever all the intermediate certs expired.

tcandela
Valued Contributor

I just created a Self Service policy to install HP LaserJet 600 M602 using the HP Printer Drivers v5.1 for OS X and it worked fine. Might take a little longer to install the HP Printer Drivers v5.1 for OS X.pkg but it works.

the easy admin drivers (hp easy essentials.pkg) i downloaded look to be the same as the 5.1, so i used the 5.1 instead. In pacifist.app looks like the the essentials are installing all the HP drivers just like the 5.1pkg. When i tested the essentials, the kernel extension popped up while the 5.1 install did not popup approval for kernel extension

tested it on macOS 10.15 Catalina 2012 macbook pro

mhasman
Valued Contributor
  • Canon Drivers for Catalina, please

JCMBowman
New Contributor III

@john_wetter - You just saved me several hours with this comment. I was all set to repackage the softwareUpdate download until I realized that Apple would just update their package with a valid cert.

djdavetrouble
Contributor III

Canon Released 4.1.7.1 Driver Package Very REcently @mhasman

mhasman
Valued Contributor

Thank you Dave! @djdavetrouble